Subject: GCC bug

From: Ralf Baechle <[email-masked]>
Date: Sat, 5 Jul 1997 23:09:21 +0200 (MET DST)

Hi,

the most current GCC package installs the header file assert.h although
it shouldn't.  The problem is that the GCC version of assert.h will
not include <gnu/stubs.h> but autoconf generated configure scripts
rely on that.  If you ever wondered why loading programs caused warnings
like 'the function lchown is not implemented and will always fail', this
is caused by the wrong assert.h.

Quick fix: rm <prefix>/<target>/include/assert.h, for example.
rm /usr/local/mipsel-linux/include/assert.h.  Note that this applies
to both native and crosscompilers.  None of them will install the
assert.h file in /usr/include/.

  Ralf